<div class="background text-center">
    <form
      class="form-signin animated fadeIn"
      autocomplete="off"
      [formGroup]="financialForm"
      (ngSubmit)="register()"
     
    >
      <h1 class="h3 mb-3 font-weight-normal">Datos financieros</h1>
      <label class="sr-only" for="inputName">Salario</label>
      <input
        type="name"
        class="form-control mb-2"
        id="inputname1"
        placeholder="Salario"
        formControlName="salary"
        [class.is-invalid]="SalaryValidate"
        [(ngModel)]="salary"
        name="salary"
    
      
      />
      <label class="sr-only" for="inputName">Otros ingresos</label>
      <input
        type="name"
        class="form-control mb-2"
        id="inputName2"
        placeholder="Otros ingresos"
        formControlName="other_income"
        [class.is-invalid]="other_incomeValidate"
        [(ngModel)]="other_income"
        name="other_income"
       
     
      />
      <label class="sr-only" for="inputName">Gastos mensuales</label>
      <input
        type="name"
        class="form-control mb-2"
        id="inputName3"
        placeholder="Gastos mensuales"
        formControlName="monthly_expenses"
        [class.is-invalid]="monthly_expensesValidate"
        [(ngModel)]="monthly_expenses"
        name="monthly_expenses"
      
   
      />
      <label class="sr-only" for="inputName">Gastos financieros</label>
      <input
        type="name"
        class="form-control mb-2"
        id="inputName4"
        placeholder="Gastos financieros"
        formControlName="financial_expenses"
        [class.is-invalid]="financial_expensesValidate"
        [(ngModel)]="financial_expenses"
        name="financial_expenses"
      
    
      />
     

     
      
      <label class="sr-only" for="inputName" ></label>
      <input
        type="name"
        class="form-control mb-2"
        id="inputName5"
        placeholder=""
        formControlName="result"
        [class.is-invalid]="resultValidate"
        disabled="false"
        [(ngModel)]="result"
        name="result"
      
      />
      
      <button type="submit" class="btn btn-lg btn-primary btn-block mb-2" [disabled]="" (click)="calcular()">
        Guardar
      </button>
    
      <a [routerLink]="['/register']">Regresar al inicio</a>
      <p class="mt-4 mb-3 text-muted">"Si lo quieres lo tienes TuCredito"</p>
    </form>
  </div>
  
